Skip to main content
PATCH
/
provisioning
/
organizations
/
{organization_id}
/
connections
/
{connection_id}
Update Connection by ID and Organization ID
curl --request PATCH \
  --url https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections/{connection_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "credentials": {
    "client_key": "<string>",
    "secret_key": "<string>"
  },
  "identifier": "<string>",
  "state": "ACTIVE"
}
'
import requests

url = "https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections/{connection_id}"

payload = {
"credentials": {
"client_key": "<string>",
"secret_key": "<string>"
},
"identifier": "<string>",
"state": "ACTIVE"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {client_key: '<string>', secret_key: '<string>'},
identifier: '<string>',
state: 'ACTIVE'
})
};

fetch('https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vendor": "<string>",
  "is_active": true,
  "refresh_interval_secs": 123,
  "timeout_secs": 123,
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "health": {
    "description": "<string>",
    "details": [
      {
        "endpoint": "<string>"
      }
    ]
  },
  "oauth2_authorize_url": "<string>",
  "identifier": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-KEY
string
header
required

Headers

X-CONNECTION-INVITE-TOKEN
string | null

Path Parameters

organization_id
string<uuid>
required
connection_id
string<uuid>
required

Body

application/json
credentials
TenableCredentials · object

Connection credentials

identifier
string | null

An optional identifier for the connection, you can use this to reference the connection in your own system

state
enum<string> | null
default:ACTIVE
Available options:
PENDING,
ACTIVE,
PAUSED,
DELETED

Response

Successful Response

id
string<uuid>
required
vendor
string
required
is_active
boolean
required
refresh_interval_secs
integer
required
timeout_secs
integer
required
organization_id
string<uuid>
required
state
enum<string>
required
Available options:
PENDING,
ACTIVE,
PAUSED,
DELETED
created_at
string<date-time>
required
updated_at
string<date-time>
required
health
ConnectionHealthStatus · object
required
oauth2_authorize_url
string | null
identifier
string | null